Page MenuHomePhabricator

[NFC] small rename of private member in InlineCost.cpp
ClosedPublic

Authored by mtrofin on Jan 17 2020, 12:43 PM.

Details

Summary

Follow-up from https://reviews.llvm.org/D71733. Also moved an
initialization to the base class, where it belonged in the first place.

Diff Detail

Event Timeline

mtrofin created this revision.Jan 17 2020, 12:43 PM
davidxl accepted this revision.Jan 17 2020, 2:08 PM
davidxl added inline comments.
llvm/lib/Analysis/InlineCost.cpp
1940

This is not NFC?

This revision is now accepted and ready to land.Jan 17 2020, 2:08 PM
davidxl requested changes to this revision.Jan 17 2020, 2:09 PM
This revision now requires changes to proceed.Jan 17 2020, 2:09 PM
mtrofin marked 2 inline comments as done.Jan 17 2020, 2:37 PM
mtrofin added inline comments.
llvm/lib/Analysis/InlineCost.cpp
1940

It's NFC because it was executed before in InlineCostCallAnalyzer::onInitializeSROAArg(), which is/was the only current scenario.

davidxl added inline comments.Jan 19 2020, 10:24 PM
llvm/lib/Analysis/InlineCost.cpp
1940

it is not strictly NFC (in the future) because previously it was called in the overrider function of the derived class, where it is moved to the common path. Is it intended?

mtrofin marked 2 inline comments as done.Jan 19 2020, 10:33 PM
mtrofin added inline comments.
llvm/lib/Analysis/InlineCost.cpp
1940

Yes, it (that initialization) should have been in the base class in the first place. The removal from the set is also in the base class, which is correct.

davidxl accepted this revision.Jan 20 2020, 9:44 AM

lgtm

This revision is now accepted and ready to land.Jan 20 2020, 9:44 AM
This revision was automatically updated to reflect the committed changes.